package com.tappli.android.backkeytest;

import android.app.Activity;
import android.os.Bundle;
import android.view.KeyEvent;
import android.widget.Toast;

public class MainActivity extends Activity {
	private boolean isClose = false;
	
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
	}

	@Override
	public boolean dispatchKeyEvent(KeyEvent event) {
		if (event.getAction() == KeyEvent.ACTION_DOWN) {
			if (event.getKeyCode() == KeyEvent.KEYCODE_BACK) {
				if (!isClose) {
					Toast.makeText(this, "もう一度押してください", Toast.LENGTH_SHORT).show();
					isClose = true;
					return true;
				}
			}
		}
		return super.dispatchKeyEvent(event);
	}
}